Subject: Re: [PATCH v2 2/3] doc: interpret-trailers: don’t use deprecated config

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Apr 2023 11:37:04 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Mon, Apr 3, 2023, at 23:18, Junio C Hamano wrote:
>> Perhaps we should do that as a preliminary clean-up before these
>> updates?
>
> I think updating to use `<msg.txt` for existing (on `master`) examples
> would fit in as patch number 2, since I rewrite heredocs to use files in
> patch 1. The commit message for patch 2 would then say, “and let’s make
> things consistent for the other examples as well”.

The suggestion to do so in a separate preliminary step was made
because I had an impression that existing examples were full of
these "cat file | command" patterns, and you were adjusting only
some of them.  If there were (I didn't count or re-check the file)
say 10 such bad examples and you are only changing only two for the
primary purpose of the patch (i.e. use interpret-trailers command
correctly), updating the other 8 bad examples "while at it" would
make the patch with unnecessarily noisy, and fixing the "cat file |"
in a separate step may help us let each step of the series focus on
one thing and do it well.

But I see there is only one or two existing "cat file | command", so
I agree with you that it is more reasonable to do it there.

Thanks.